﻿using System;

namespace InABox.Logikal
{
    public abstract class AbstractLogikalPartsRequest : LogikalRequest
    {
       
        public Guid ProjectID { get; private set; }

        public string FinishQuery { get; private set; }
               
        public string ProfileQuery { get; private set; }

        public string ComponentQuery { get; private set; }
        
        public string GlassQuery { get; private set; }
        
        public string LabourQuery { get; private set; }

        public bool IncludeExcelData { get; private set; }

        protected AbstractLogikalPartsRequest(Guid projectid, string finishQuery, string profileQuery, string componentQuery, string glassQuery, string labourQuery, bool includeExcelData)
        {
            ProjectID = projectid;
            FinishQuery = finishQuery;
            ProfileQuery = profileQuery;
            ComponentQuery = componentQuery;
            GlassQuery = glassQuery;
            LabourQuery = labourQuery;
            IncludeExcelData = includeExcelData;
        }
        
    }


}