using InABox.Logikal;
using Newtonsoft.Json;

namespace InABox.Logikal
{
    public class LogikalProjectsResponse<TProject> : LogikalResponse where TProject : ILogikalProject
    {
        public override LogikalMethod Method() => LogikalMethod.Projects;

        public TProject[] Projects { get; set; }

        public override string ToString() => $"{Projects?.Length ?? 0} Projects found";
    }
}