using System;
using System.Windows.Input;
using Syncfusion.SfDataGrid.XForms;
using Xamarin.Forms;
using SwipeEndedEventArgs = Syncfusion.SfDataGrid.XForms.SwipeEndedEventArgs;

namespace InABox.Mobile
{
    
    
    public interface IMobileGridColumn
    {
        Action<IMobileGridColumn, object> Tapped { get; set; }
        
        String ColumnName { get; set; }
        GridLength Width { get; set; }
        String Caption { get; set; }
        TextAlignment Alignment { get; set; }
        GridColumn CreateColumn();
    }
}