﻿using System;
using System.Collections.Generic;
using System.Text;

namespace InABox.Core
{
    /// <summary>
    /// Indicates that when deleting this <see cref="Entity"/>, it is not saved as a <see cref="Deletion"/>, but completely purged,
    /// and thus is unrecoverable.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class)]
    public class UnrecoverableAttribute : Attribute
    {
    }
}
