﻿namespace InABox.Core
{
    public class EmbeddedImageEditor : BaseDocumentEditor
    {
        public EmbeddedImageEditor() : base("Image Files (*.jpg;*.png;*.bmp)|*.png;*.jpg;*.jpeg;*.bmp")
        {
            MaximumHeight = int.MaxValue;
            MaximumWidth = int.MaxValue;
            MaximumFileSize = int.MaxValue;
        }

        public int MaximumHeight { get; set; }
        public int MaximumWidth { get; set; }

        public int MaximumFileSize { get; set; }

        protected override BaseEditor DoClone()
        {
            var result = (CloneBaseDocumentEditor() as EmbeddedImageEditor)!;
            result.MaximumHeight = MaximumHeight;
            result.MaximumWidth = MaximumWidth;
            result.MaximumFileSize = MaximumFileSize;
            return result;
        }
    }
}