﻿using System;
using InABox.Core;

namespace InABox.Clients
{
    public interface IQueryDef
    {
        Type Type { get; }
        IFilter? Filter { get; }
        IColumns? Columns { get; }
        ISortOrder? SortOrder { get; }
        CoreRange? Range { get; set; }
    }

    public interface IKeyedQueryDef : IQueryDef
    {
        public string Key { get; }
    }
}