using System;

namespace InABox.Logikal
{

    [Flags]
    public enum LogikalStatus
    {
        Ok = 1,

        NotRunning = 2,
        CannotConnect = 4,
        Disconnected = 8,
        Restricted = 16,
        Error = 32,
        Failed = 64,
        Unknown = 128,
        NoProjectCenter = 256,
        NotLoggedIn = 512,
        InvalidProjectID = 1024,
        InvalidElevationID = 2048,
        InvalidPhaseID = 4096,
        ElevationNotFound = 8192,

        IsError = ~Ok,

    }



}
