using System;
using System.Windows;
using InABox.Core;

namespace InABox.DynamicGrid;

public class DynamicTemplateColumn : DynamicActionColumn
{
    public Func<CoreRow, FrameworkElement?> Template { get; protected set; }
    
    public DynamicTemplateColumn(Func<CoreRow, FrameworkElement?> template)
    {
        Template = template;
        VerticalHeader = false;
    }

    public override object? Data(CoreRow? row) => row;
}